Package org.apache.sysds.parser.dml

## Class DmlParser.ForStatementContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.StatementContext
      - - org.apache.sysds.parser.dml.DmlParser.ForStatementContext

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`
  Enclosing class:
    DmlParser

      public static class DmlParser.ForStatementContext
      extends DmlParser.StatementContext

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<DmlParser.StatementContext>` | `body` |
    `DmlParser.IterablePredicateContext` | `iterPred` |
    `org.antlr.v4.runtime.Token` | `iterVar` |
    `List<DmlParser.StrictParameterizedExpressionContext>` | `parForParams` |
    `DmlParser.StatementContext` | `statement` |
    `DmlParser.StrictParameterizedExpressionContext` | `strictParameterizedExpression` |

    - ### Fields inherited from class org.apache.sysds.parser.dml.DmlParser.StatementContext

      `info`

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForStatementContext​(DmlParser.StatementContext ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)` |
    `void` | `exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `ID()` |
    `DmlParser.IterablePredicateContext` | `iterablePredicate()` |
    `List<DmlParser.StatementContext>` | `statement()` |
    `DmlParser.StatementContext` | `statement​(int i)` |
    `List<DmlParser.StrictParameterizedExpressionContext>` | `strictParameterizedExpression()` |
    `DmlParser.StrictParameterizedExpressionContext` | `strictParameterizedExpression​(int i)` |

    - ### Methods inherited from class org.apache.sysds.parser.dml.DmlParser.StatementContext

      `copyFrom, getRuleIndex`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### iterVar

          public org.antlr.v4.runtime.Token iterVar

    - #### iterPred

          public DmlParser.IterablePredicateContext iterPred

    - #### strictParameterizedExpression

          public DmlParser.StrictParameterizedExpressionContext strictParameterizedExpression

    - #### parForParams

          public List<DmlParser.StrictParameterizedExpressionContext> parForParams

    - #### statement

          public DmlParser.StatementContext statement

    - #### body

          public List<DmlParser.StatementContext> body

  - ### Constructor Detail

    - #### ForStatementContext

          public ForStatementContext​(DmlParser.StatementContext ctx)

  - ### Method Detail

    - #### ID

          public org.antlr.v4.runtime.tree.TerminalNode ID()

    - #### iterablePredicate

          public DmlParser.IterablePredicateContext iterablePredicate()

    - #### statement

          public List<DmlParser.StatementContext> statement()

    - #### statement

          public DmlParser.StatementContext statement​(int i)

    - #### strictParameterizedExpression

          public List<DmlParser.StrictParameterizedExpressionContext> strictParameterizedExpression()

    - #### strictParameterizedExpression

          public DmlParser.StrictParameterizedExpressionContext strictParameterizedExpression​(int i)

    - #### enterRule

          public void enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`